.login-container {
  height: 100vh;
  display: flex;
  flex-direction: column;
}

.login-container-wrap {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.login-wrap {
  width: 100vw;
  height: 100%;
  display: flex;
  padding: 80px;
  overflow-y: auto;
  display: none;
}

.login-wrap.active {
  display: flex;
}

.signup-wrap {
  width: 100vw;
  height: 100vh;
  display: flex;
  padding: 80px;
  overflow-y: auto;
}


.login-header {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
  gap: 32px;
  padding-left: 80px;
  padding-right: 80px;
  padding-top: 16px;
  padding-bottom: 16px;
  border-bottom: 1px solid #E9EAEB;
}

.login-header-wrap {
  display: flex;
  flex-direction: row;
  gap: 32px;
}

.login-header-button {
  display: none;
}

.login-header-button.active {
  display: block;
}

.login-header-sub-container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  gap: 32px;
}

.login-header .login-header-item {
  text-decoration: none;
  cursor: pointer;
  padding-top: 8px;
  font-size: 16px;
  line-height: 20px;
  font-weight: 500;
  color: #404040;
}

.signup-background-wrap {
  width: 50%;
  height: 100%;
  display: flex;
  align-content: space-between;
  flex-wrap: wrap;
}

.login-background-wrap {
  width: 50%;
  height: 100%;
  display: flex;
  align-content: center;
  flex-wrap: wrap;
}

.login-logo,
.signup-logo {
  width: 100%;
}

.login-logo img,
.signup-logo img {
  height: 48px;
  transform: translateY(-50%);
}

.login-background,
.signup-background {
  width: 100%;
  display: flex;
  justify-content: center;
}

.login-background img,
.signup-background img {
  width: 100%;
  max-width: calc(120vh - 240px);
}

.login-loading,
.signup-loading {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #ffffff80;
}

.login-loading img,
.signup-loading img {
  width: 100px;
}

.login-form-wrap,
.signup-form-wrap {
  width: 50%;
  height: 100%;
  display: flex;
  align-content: flex-start;
  justify-content: center;
  flex-wrap: wrap;
}

.login-navigators,
.signup-navigators {
  display: none;
  width: 100%;
  justify-content: center;
}

.login-navigators a,
.signup-navigators a {
  margin: 0 24px;
  font-size: 11pt;
  font-weight: 400;
  text-decoration: none;
  cursor: pointer;
}

.login-navigators a:hover,
.signup-navigators a:hover {
  color: var(--theme-color);
  text-decoration: underline;
}

.login-form,
.signup-form {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  width: 400px;
  margin-top: calc(50vh - 240px);
}

.signup-form {
  margin-top: unset;
  padding-bottom: 40px;
}

.signup-form .error-message {
  display: none;
  color: red;
}

.signup-form .error-message.show {
  display: block;
}

.login-form-header,
.signup-form-header {
  width: 100%;
  margin-bottom: 64px;
}

.login-form-header img,
.signup-form-header img {
  width: 100%;
  margin-bottom: 24px;
}

.login-form-header p,
.signup-form-header p {
  width: 100%;
  text-align: center;
  font-weight: 400;
  line-height: 24px;
}

.login-form form,
.signup-form form {
  width: 100%;
}

.signup-form form .signup-form-wrap-row {
  width: 100%;
  margin-bottom: 16px;
  display: flex;
  justify-content: space-between;
}

.signup-form form > .btr-input-text,
.signup-form form > .btr-select {
  margin-bottom: 16px;
}

.login-form .btr-button-primary,
.signup-form .btr-button-primary {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 24px;
  margin: 16px 0;
  background-color: var(--theme-color);
}

.login-form .btr-button-primary:hover,
.signup-form .btr-button-primary:hover {
  background-color: #00b4db;
}

.login-form .btr-button-primary img,
.signup-form .btr-button-primary img {
  display: block;
  height: 10px;
  margin-left: 12px;
}

.login-form .create-account,
.signup-form .create-account {
  display: block;
  text-align: center;
  color: var(--theme-color);
  line-height: 32px;
  font-weight: 400;
  text-decoration: underline;
  cursor: pointer;
}

.login-form .display {
  display: block !important;
}

.login-form .display-flex {
  display: flex !important;
}

.login-form .hidden {
  display: none !important;
}

.login-form .provider-image {
  width: 40px;
  height: 40px;
  cursor: pointer;
  padding: 4px;
  border: 1px solid var(--border-color);
  border-radius: 4px;
}

.login-form .create-account:hover,
.signup-form .create-account:hover {
  color: #00b4db;
}

.login-form-error,
.signup-form-error {
  color: var(--theme-negative-color);
  width: 100%;
  height: 20px;
  text-align: center;
  font-style: italic;
  margin-bottom: 8px;
}

.login-form-recaptcha,
.signup-form-recaptcha {
  padding: 16px 24px;
}

#provider-container {
  display: flex;
  flex-direction: row;
  gap: 8px;
  justify-content: center;
  align-items: center;
}

@media screen and (max-width: 480px) {
  body {
    .login-wrap {
      flex-direction: column;
      padding: 60px;
    }

    .login-header {
      flex-direction: column;
      padding-left: 60px;
      padding-right: 60px;
      justify-content: center;
      gap: 16px;
      padding-bottom: 0px;
      border-bottom: none;
    }

    .login-header-wrap {
      gap: 16px;
      flex-direction: column;
    }

    .login-header-sub-container {
      gap: 8px;
      justify-content: center;
    }

    .login-background-wrap {
        height: auto;
        width: 100%;
    }

    .login-form-wrap {
        width: 100%;
    }

    .login-background {
      display: none;
    }

    .login-logo {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .login-form {
      margin-top: calc(50vh - 300px);
    }

    .login-form .provider-image {
        width: 32px;
        height: 32px;
    }
  }
}
